@import "../../styles/colors";

@mixin cf {
  &::after,
  &::before {
    content: "";
    display: table;
  }

  &::after {
    clear: both;
  }
}
// Base styles

.continusreading {
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -moz-osx-font-smoothing: grayscale;
  position: relative;
  overflow: hidden;
  padding-bottom: 0px;
  &:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 50%;
    right: 50%;
    bottom: 0;
    background: #2980b9;
    height: 3px;
    -webkit-transition-property: left right;
    transition-property: left right;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
  }
  &:hover:before {
    left: 0;
    right: 0;
  }
}

.cardDescription {
  word-break: break-word;
}

.continusreading:hover {
  text-decoration: none;
}


.custom-card {
  transition: box-shadow 0.5s cubic-bezier(0.22, 0.61, 0.36, 1);
  box-shadow: 0 0px 5px 0 rgba(0, 0, 0, 0.1), 0 5px 15px 0 rgba(0, 0, 0, 0.05);

  &:hover {
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.3);
  }

  
  .content {
    background-color: $white;
    p {
      color: $black;
    }
    .dateleft{
      text-align: center;
      position: absolute;
      .dateday{
        font-size: 45px;
        font-weight: 600;
        min-width: 80px;
        color: #337ab7;
        @media (max-width: 577px) {
          min-width: 55px;
          font-size: 25px;
        }
      }
      .dateyear{
        font-size: 12px;
      }
    }
    .dateright{
      padding-left: 100px;
      a:hover{
        text-decoration: none;        
      }
      h2{
        @media (max-width: 577px) {
          font-size: 1.6rem;
        }
        
      }
      @media (max-width: 577px) {
        padding-left: 62px;
      }
    }
  }

  .data {
    transform: translateY(0);
    transition: transform 0.3s;

    .content {
      padding: 1em;
      position: relative;
      z-index: 1;

      // Tags, Date
      .stats {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
      }
    }
  }

  
  .wrapper {
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    text-align: center;
    position: relative;
    overflow: hidden;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    transition: all 0.5s ease 0s;

    &:hover {
      opacity: 0.7;

      .data {
        transform: translateY(-1em);
        transition: transform 0.3s;
      }
    }
  }

  .date {
    background-color: $bermuda;
    color: $white;
    padding: 0.8em;

    span {
      display: block;
      text-align: center;
    }
  }

}
